#!/bin/bash
dat=`echo $1 | cut -d . -f 1`
echo "unset key" > cont.gnu
echo "set contour base" >> cont.gnu
echo "set cntrparam levels discrete 4, 6, 8, 10, 12, 14, 16, 18, 20" >> cont.gnu
echo "set nosurface" >> cont.gnu
echo "set view 0,0" >> cont.gnu
echo "set term table" >> cont.gnu
echo "set out \"data.tab\" " >> cont.gnu
echo "spl \"$1\"" >> cont.gnu
echo "set output"  >> cont.gnu
echo "set term x11" >> cont.gnu
gnuplot cont.gnu
awk -f parse data.tab
rm _*
rm data.tab cont.gnu
echo "unset key" > surf.gnu
echo "set size ratio 0.6574" >> surf.gnu
echo "set cblabel \"stellar density\"" >> surf.gnu
echo "set xrange [90.97947:90.29936]" >> surf.gnu
echo "set yrange [49.737:50.02]" >> surf.gnu
echo "set mxtics 6" >> surf.gnu
echo "set mytics 6" >> surf.gnu
echo "set view map" >> surf.gnu
echo "set xlabel \"Ra (J2000)\"" >> surf.gnu
echo "set ylabel \"Dec (J2000)\" 0,0" >> surf.gnu
echo "set surface" >> surf.gnu
echo "set pm3d at s" >> surf.gnu
echo "set palette defined ( 0 1 1 1, 0.8 0.5451 0 0, 1 0 0 0 )" >> surf.gnu
echo "spl \"$1\" u 1:2:3 with pm3d" >> surf.gnu
for i in *_* 
do
echo "repl \""$i"\" w l lt -1 lw 0.5" >> surf.gnu
done
echo "set term post eps enh color 'Times Roman'" >> surf.gnu
echo "set out \"${dat}.eps\"" >> surf.gnu
echo "replot" >> surf.gnu
echo "set out" >> surf.gnu
echo "set term x11" >> surf.gnu
gnuplot surf.gnu
rm surf.gnu
rm *_*
